package cn.reghao.tnb.content.app.vod.model.po;

import cn.reghao.jutil.jdk.db.BaseObject;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author reghao
 * @date 2025-08-03 12:26:06
 */
@NoArgsConstructor
@Getter
@Setter
public class PlayComplete extends BaseObject<Integer> {
    private Long userId;
    private String videoId;
    // ms 时间戳
    private Long createAt;

    public PlayComplete(PlayRecord playRecord) {
        this.userId = playRecord.getUserId();
        this.videoId = playRecord.getVideoId();
        this.createAt = playRecord.getCreateAt();
    }
}
